# RPM specfile for gal module
# Generated Mon Mar 17 16:28:15 2003 GMT by Ximian build system
# from $Id: bb_do,v 1.217 2003/02/03 18:14:00 thunder Exp $

%define nam	gal
%define ver	0.24
%define ximrev	1

Name:     	libgal23
Version: 	0.24
Release:	1.81.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 8.1 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages

URL:		http://www.ximian.com/tech/
Source0:	gal-0.24.tar.gz
BuildRequires:	gnome-libs-devel >= 1.2.13
BuildRequires:	ORBit-devel
BuildRequires:	gettext
BuildRequires:	libxml-devel >= 1.8.5
BuildRequires:	gtk-devel >= 1.2.9
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	gnome-print-devel >= 0.24
BuildRequires:	gnome-vfs-devel >= 1.0.3
BuildRequires:	libglade-devel >= 0.16
BuildRequires:	intltool
Summary:	The GNOME Application Library
Group:		Libraries/System
Requires:	gnome-print
Provides:	gal = %{version}-%{release}
Provides:	ximian-libgal23 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	ximian-gal

%description
A collection of GNOME widgets and utility functions.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
/opt/gnome/*/locale/*/LC_MESSAGES/*
/opt/gnome/share/gal/0.24
/opt/gnome/share/etable/0.24
/opt/gnome/lib/libgal.so.*
%dir /opt/gnome/share/gal
%dir /opt/gnome/share/etable


%post
ldconfig

%postun
ldconfig

%package -n gal-devel
Summary:	Development files for the GNOME Applications library
Group:		Development/Libraries
Requires:	libgal23 = %{version}-%{release}
Requires:	gnome-libs-devel
Requires:	libglade-devel
Requires:	gnome-print-devel
Requires:	libxml-devel
Provides:	galdev = %{PACKAGE_VERSION}
Provides:	ximian-gal-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	galdev

%description -n gal-devel
Development files for the GNOME Applications library

%files -n gal-devel
%defattr(-, root, root)
/opt/gnome/lib/*.so
/opt/gnome/lib/*.a
/opt/gnome/lib/*Conf.sh
/opt/gnome/lib/pkgconfig/*
/opt/gnome/include/*
/opt/gnome/share/gal/html


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gal-0.24
    ;;
all)
%setup  -q -n gal-0.24
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    libtoolize --force --copy; aclocal -I macros ${ACLOCAL_FLAGS}; automake --gnu --add-missing --include-deps; autoconf; ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var --with-libiconv=/usr; for i in xml-i18n*in; do sed 's#@XML_I18N_TOOLS_PERL@#/usr/bin/perl#' < $i > `basename $i .in`; chmod +rx `basename $i .in`; done
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon Mar 17 2003 Ximian, Inc.

- Version: 1:0.24-1.81.ximian.1
- Summary: New build.
- New automated build.

* Tue Feb 25 2003 Ximian, Inc.

- Version: 1:0.23-1.81.ximian.2
- Summary: New build.
- New automated build.

* Fri Dec 6 2002 Ximian, Inc.

- Version: 1:0.22-1.81.ximian.1
- Summary: New build.
- New automated build.

* Wed Dec 4 2002 Ximian, Inc.

- Version: 1:0.21.1-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Nov 15 2002 Ximian, Inc.

- Version: 0.19.3-2.ximian.2
- Summary: New build.
- New automated build.

* Fri Apr 19 2002 Ximian, Inc.

- Version: 0.19.2-1.ximian.1
- Summary: New build.
- New automated build.

* Tue Mar 19 2002 Ximian, Inc.

- Version: 1:0.19.1-1.ximian.1
- Summary: New build.
- New automated build.

